2.3.8. - Binding Problem - No Devices

Discussions about Z-Way software and Z-Wave technology in general
Popp Wod
Posts: 30
Joined: 24 Oct 2016 23:19

Re: 2.3.8. - Binding Problem - No Devices

Post by Popp Wod » 01 Nov 2018 08:20

PoltoS wrote:
28 Oct 2018 12:31
Will ping today to check where it landed
Any update, Polto?
Is this related to the Linux version we are using? Or is this related to the image?
I never had any RC images installed. Just one additional Tool installed, called monit.

Why is there no answer of your support-team?

BR, Wod.

michap
Posts: 321
Joined: 26 Mar 2013 10:35
Contact:

Re: 2.3.8. - Binding Problem - No Devices

Post by michap » 01 Nov 2018 12:46

PoltoS found just now a solution for fixing.
I have tested and it is working fine:

Login into Shell, then execute:

Code: Select all

cd /opt/z-way-server
rm libs/libarchive.so*
sudo apt-get install libarchive12
ln -s /usr/lib/arm-linux-gnueabihf/libarchive.so libs/libarchive.so.13
Restart the Popp Gateway, and all will be back.

Michael

temp
Posts: 13
Joined: 27 May 2018 12:52

Re: 2.3.8. - Binding Problem - No Devices

Post by temp » 02 Nov 2018 09:42

Can anyone confirm this?

kovi44
Posts: 10
Joined: 09 Nov 2015 15:02

Re: 2.3.8. - Binding Problem - No Devices

Post by kovi44 » 03 Nov 2018 14:44

Dear all,

I'm running 2.3.7 on RPI3 - raspbian jassie. I did upgrade to 2.3.8 yesterday with no success. After the upgrade and reboot the z-way-server do not start at all. I try to start it manually but it stops with some errors. Then I just restore the backup of 2.3.7 (which is done automatically - just rename the previous one) and the 2.3.7 start again without any problem.

Do someone else got the same issue using the same distro and hw? Thanks

michap
Posts: 321
Joined: 26 Mar 2013 10:35
Contact:

Re: 2.3.8. - Binding Problem - No Devices

Post by michap » 03 Nov 2018 20:22

kovi44 wrote:
03 Nov 2018 14:44
I'm running 2.3.7 on RPI3 - raspbian jassie.
This maybe another problem - please open a new topic, if other issue.

The current issue happen at "old" POPP Gateway (or any Pi with Wheezy) after updating to 2.3.8 - that no devices visible and a binding error will be shown.
The published fix is ONLY for this case.

Recommendation is to upgrade the OS for older systems - if possible.

Michael

optimizer
Posts: 2
Joined: 04 Nov 2018 20:06

Re: 2.3.8. - Binding Problem - No Devices

Post by optimizer » 04 Nov 2018 20:19

michap wrote:
01 Nov 2018 12:46
PoltoS found just now a solution for fixing.
I have tested and it is working fine:

Login into Shell, then execute:

Code: Select all

cd /opt/z-way-server
rm libs/libarchive.so*
sudo apt-get install libarchive12
ln -s /usr/lib/arm-linux-gnueabihf/libarchive.so libs/libarchive.so.13
Restart the Popp Gateway, and all will be back.

Michael

Thanks.
I can confirm that this fixed my controller issues (same as thread starter) after updating the RaZberry firmware to 2.3.8 from 2.3.6 (raspbian - wheezy).

/Tobbe

Popp Wod
Posts: 30
Joined: 24 Oct 2016 23:19

Re: 2.3.8. - Binding Problem - No Devices

Post by Popp Wod » 05 Nov 2018 12:09

Version 2.3.8 has been retracted for Popp hub v.1 and is actually no longer available.

temp
Posts: 13
Joined: 27 May 2018 12:52

Re: 2.3.8. - Binding Problem - No Devices

Post by temp » 06 Nov 2018 18:38

optimizer wrote:
04 Nov 2018 20:19
michap wrote:
01 Nov 2018 12:46
PoltoS found just now a solution for fixing.
I have tested and it is working fine:

Login into Shell, then execute:

Code: Select all

cd /opt/z-way-server
rm libs/libarchive.so*
sudo apt-get install libarchive12
ln -s /usr/lib/arm-linux-gnueabihf/libarchive.so libs/libarchive.so.13
Restart the Popp Gateway, and all will be back.

Michael




Thanks.
I can confirm that this fixed my controller issues (same as thread starter) after updating the RaZberry firmware to 2.3.8 from 2.3.6 (raspbian - wheezy).

/Tobbe

You are using the razberry Board 2 Extension fit Raspberry???

optimizer
Posts: 2
Joined: 04 Nov 2018 20:06

Re: 2.3.8. - Binding Problem - No Devices

Post by optimizer » 07 Nov 2018 00:28

temp wrote:
06 Nov 2018 18:38
optimizer wrote:
04 Nov 2018 20:19


Thanks.
I can confirm that this fixed my controller issues (same as thread starter) after updating the RaZberry firmware to 2.3.8 from 2.3.6 (raspbian - wheezy).

/Tobbe

You are using the razberry Board 2 Extension fit Raspberry???

I'm using Razpberry board v1 plugged onto a Raspberry B GPIO. My z-wave controller hardware is from January 2014. Not sure I dare to update any more times now. Last time I updated, a year ago?, the webinterface and API was modified slightly and gave me some headache because I had to update all my control scripts (perl).

/T

User avatar
ronie
Posts: 57
Joined: 29 Jun 2015 09:50

Re: 2.3.8. - Binding Problem - No Devices

Post by ronie » 07 Nov 2018 18:23

Hey guys,

please excuse the long absent ...

@michap thx for your time to investigate this issue and providing this fix as workaround.

As you already found out the problem is related to teh old Debian 7 (Jessie) on which your last Z-Way v2.3.7 was running.
I've prepared some receipes that will hopefully help to solve this issue:

Upgrade Raspbian Wheezy (Debian 7) to Jessie (Debian 8) to support Z-Way v2.3.8 (specially for Popp Hub 1)
Revert a Z-Way upgrade with help of the terminal

Post Reply